Subject: RE: [SIP] need some info abt SIP proxy

From: "Gross, Gerhard" <[email-masked]>
Date: Wed, 9 May 2001 07:44:15 -0700

Sachin,

I can answer some of your questions.
See remarks inline preceded with [gwg].

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, May 09, 2001 2:42 AM
> To: [email-masked]
> Subject: [SIP] need some info abt SIP proxy
> 
> 
> hi,
> i'm trying to implement SIP proxy server, i have 
> few questions and hope to get the answeres 
> ASAP :)
> 1) when ever a INVITE request comes to the 
> proxy, first should it check for whether the 
> user is registered for the proxy?

[gwg] If the INVITE uses an alias for the destination
the proxy must be able to map the alias to the
destination or to another proxy that will move the
INVITE toward the destination. If a destination
IP address is supplied in the INVITE, a SIP proxy
is not necessarily needed, unless for other reasons
aside from alias mappings (such as AAA, including
billing records).

Generally, users register an alias with a proxy.
In these cases, when an INVITE comes in, the SIP
proxy checks registration records to map the
alias used in the INVITE with the destination IP
address.

> 
> if so.. the user should also get registerd in 
> all the proxies the mesage gets routed?

> 
> 2)How the billing is implemented in a proxy?

[gwg] Billing requires authentication and accounting
records (two of the As in AAA). This is not
standardized by SIP. Efforts are under way to
define mechanisms to support billing with SIP.
See

http://www.ietf.org/internet-drafts/draft-gross-sipaq-01.txt
http://www.ietf.org/internet-drafts/draft-gross-cops-sip-01.txt

> 
> 3) I guess its always two proxies that is 
> required to establish a session... is that true? 
> if not kindly explain.

[gwg] Not always (see answer to 1), but I think
that is the typical scenario. To support billable
services, it is a requirement that each endpoint
be represented by a SIP proxy for session authorization,
authentication and so that accounting records
get accurately generated and forwarded to the correct
entities.

> 
> 4) how exactly the message gets routed to its 
> destination ( i.e. how the proxy comes to know 
> destination IP address..etc)?
> 
> thanks in advance :)
> Sachin K
> 
> Enjoy being an Indyan at http://www.indya.com
> 
> _______________________________________________
> This list is for continuing development of the SIP protocol.
> The sip-implementor's list is the place to discuss implementation,
> and to receive advice on understanding existing sip.
> To subscribe to it, send mail to 
> [email-masked] with "subscribe" in the body.
> 

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.